/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.admin.type;

/**
 * @author Steve
 *
 */
public enum ApplicationDomain {
	ASSEMBLY_STUDY ("Assembly Study"),
	DIGITAL_MOCKUP ("Digital Mockup"),
	//ELECTRICAL_DESIGN ("Electrical Design"),
	//MECHANICAL_DESIGN ("Mechanical Design"),
	PRELIMINARY_DESIGN ("Preliminary Design"),
	PROCESS_PLANNING ("Process Planning");
	
	// TODO add other application domains that are industry non-specific
	
	ApplicationDomain(String display) {
		this.displayName = display;
	}
	
	private String displayName;
	public String toString() {
		return this.displayName;
	}
}
