/**
 * 
 */
package com.rapidtransform.core.meta;

import com.rapidtransform.core.ConveloException;

/**
 * This exception is thrown when a problem occurs in the Meta layer.
 * @author Steve Werner
 *
 */
public class MetaException extends ConveloException {

	public MetaException(String message) {
		super(message);
	}

	/**
	 * @param message
	 * @param nested
	 */
	public MetaException(String message, Throwable nested) {
		super(message, nested);
	}

}
