/**
 * 
 */
package com.rapidtransform.core.model;

/**
 * @author Steve Werner
 *
 */
public class BaseRelation<SourceType extends Model, TargetType extends Model> 
	extends AbstractBaseModel implements Relation<SourceType, TargetType> {
	
	private SourceType source;
	private TargetType target;
	/**
	 * @return Returns the source.
	 */
	public SourceType getSource() {
		return source;
	}
	/**
	 * @param source The source to set.
	 */
	public void setSource(SourceType source) {
		this.source = source;
	}
	/**
	 * @return Returns the target.
	 */
	public TargetType getTarget() {
		return target;
	}
	/**
	 * @param target The target to set.
	 */
	public void setTarget(TargetType target) {
		this.target = target;
	}
	
}
