/**
 * 
 */
package com.rapidtransform.core.model;

/**
 * @author Steve Werner
 *
 */
public interface Relation<SourceType extends Model, TargetType extends Model> extends Model {
	
	/**
	 * returns the source model object
	 * @return
	 */
	public SourceType getSource();
	
	/**
	 * returns the target model object
	 * @return
	 */
	public TargetType getTarget();

}
