/**
 * 
 */
package com.rapidtransform.core.search;

import java.util.Map;

/**
 * @author Steve Werner
 *
 */
public class AdvancedSearchCommand extends AbstractSearchCommand {
	private Map<String, String> searchCriteria;
	
	public AdvancedSearchCommand(Map<String, String> criteria) {
		this.searchCriteria = criteria;
	}

	/**
	 * @return Returns the searchCriteria.
	 */
	public Map<String, String> getSearchCriteria() {
		return searchCriteria;
	}

	/**
	 * @param searchCriteria The searchCriteria to set.
	 */
	public void setSearchCriteria(Map<String, String> searchCriteria) {
		this.searchCriteria = searchCriteria;
	}
	
}
