/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.org.model;

/**
 * This interface defines objects that can be associated with the organization package objects, including
 * Person, DateTime, and Organization.
 * 
 * In the STEP, this is known as the date_time_date_time_person_organization_element_select interface.
 * 
 * @author S. Werner
 *
 */
public interface OrganizationElement {
	/**
	 * TODO workrequest, workorder, project, activitymethod, activityelement, activity,
	 * documentversion, documentrepresentation, documentfile, document, processplan, processoperationresource,
	 * processoperationoccurence, processoperationdefinition, propertyvalueassoc,
	 * property, material, geometricmodel
	 */
}
