/**
 * 
 */
package com.rapidtransform.spec.model;

import com.rapidtransform.core.model.AbstractBaseModel;

/**
 * @author Steve Werner
 *
 */
public abstract class BaseSpecRelation<SourceType extends Specified> extends AbstractBaseModel implements SpecRelation<SourceType>  {
	private SourceType source;
	private Specification target;
	
	/**
	 * @return Returns the target.
	 */
	public Specification getTarget() {
		return target;
	}
	/**
	 * @param target The target to set.
	 */
	public void setTarget(Specification target) {
		this.target = target;
	}
	/**
	 * @return Returns the source.
	 */
	public SourceType getSource() {
		return source;
	}
	/**
	 * @param source The source to set.
	 */
	public void setSource(SourceType source) {
		this.source = source;
	}
	
}
