/**
 * 
 */
package com.rapidtransform.spec.model;

import com.rapidtransform.core.model.Model;
import com.rapidtransform.org.model.Approvable;
import com.rapidtransform.org.model.OrganizationElement;
import com.rapidtransform.org.model.OrganizationalData;

/**
 * Relates Specifications to other objects.
 * 
 * @author Steve Werner
 *
 */
public interface SpecRelation<SourceType extends Specified> extends Model, ConfiguredSpec, Approvable, OrganizationElement, OrganizationalData, Effective {
	public void setSource(SourceType source);
	public void setTarget(Specification target);
}
