/**
 * 
 */
package com.rapidtransform.spec.service;

import java.util.Collection;
import java.util.List;

import com.rapidtransform.core.ConveloException;
import com.rapidtransform.core.model.Model;
import com.rapidtransform.core.model.Relation;
import com.rapidtransform.spec.model.SpecRelation;
import com.rapidtransform.spec.model.Specification;
import com.rapidtransform.spec.model.Specified;

/**
 * @author Steve Werner
 *
 */
public interface SpecifiedService<SpecifiedType extends Model> {
	
	public Relation<SpecifiedType, Specification> addSpecification(Specified source, Specification target, String relationType) throws ConveloException;
	
	public Collection<Specification> getSpecifications(String relationQname, String specifiedId) throws ConveloException;
	
}
