<#if parameters.metatype?exists>
<@ww.action id="metaPropAction" namespace="/meta" name="metaProperties">
<@ww.param name="type" value="parameters.metatype"/>
</@ww.action>
<br/>
<table style="color:#FFF;background-color:#3399FF;border-top:1px solid #ccc;">
<tr>
<td align="left"><b>${metaType.display}</b> Advanced Search</td>
</tr>
</table>
<div style="border:1px solid #ccc;">
<@ww.form action="/doAdvancedSearch.action" method="POST" theme="xhtml">
<@ww.hidden name="type" value="${type}"/>
<@ww.set name="metaProps" value="#metaPropAction.metaType.properties" scope="request"/>
<#list metaProps as prop>
	<#if prop.indexed>
	<@ww.set name="mapPropertyKey" value="'${prop.name}'" scope="request"/>
	<@ww.action id="metaPropValidValue" namespace="/meta" name="metaProperties">
	<@ww.param name="type">${prop.type}</@ww.param>
	</@ww.action>
	<@ww.set name="metaTypeObject" value="#metaPropValidValue.metaType" scope="request"/>
	<#assign propDisplayKey=prop.displayKey/>
	<#if prop.type = 'mta:date'>
	  <@ww.datepicker label="%{getText('${prop.displayKey}')}" name="searchCriteria['${mapPropertyKey}']" value="%{searchCriteria['${mapPropertyKey}']}" id="searchCriteria.${mapPropertyKey}" />
	<#elseif metaTypeObject.validValues?exists>
	  <@ww.select label="%{getText('${prop.displayKey}')}" list="#metaPropValidValue.metaType.validValues" name="searchCriteria['${mapPropertyKey}']" value="%{searchCriteria['${mapPropertyKey}']}"
		listKey="value" listValue="display" listEnabled="enabled" emptyOption="true" theme="convelo" />
	<#elseif prop.type = 'mta:longstring'>
	  <@ww.textarea theme="xhtml" rows="4" cols="50" label="%{getText('${prop.displayKey}')}" name="searchCriteria['${mapPropertyKey}']" value="%{searchCriteria['${mapPropertyKey}']}" />
	<#else>
	  <@ww.textfield label="%{getText('${prop.displayKey}')}" name="searchCriteria['${mapPropertyKey}']" value="%{searchCriteria['${mapPropertyKey}']}" />
	</#if>
	</#if>
</#list>
<@ww.submit value="Search" align="center"/>
</@ww.form>
</div>
</#if>
