<#if parameters.metatype?exists>
<@ww.action id="metaPropAction" namespace="/meta" name="metaProperties">
<@ww.param name="type" value="parameters.metatype"/>
</@ww.action>
<div id="metaPropertyUpdate">
<@ww.property value="$parameters.propertyholder"/>
<#if parameters.container?exists>
<@ww.hidden name="${parameters.container}.propertyHolder.metaTypeName" value="${parameters.metatype}" ></@ww.hidden>
<@ww.hidden name="${parameters.container}.propertyHolder.uuid" />
<@ww.set name="metaProps" value="#metaPropAction.metaType.properties" scope="request"/>
<#if metaProps?exists>
<#list metaProps as prop>
	<@ww.set name="mapPropertyPrefix" value="#metaPropAction.metaType.name.prefix" scope="request"/>
	<@ww.set name="mapPropertyLocalName" value="#metaPropAction.metaType.name.localName" scope="request"/>
	<@ww.set name="mapPropertyName" value="'${prop.name}'"/>
	<@ww.set name="mapPropertyKey" value="'${mapPropertyName}'" scope="request"/>
	<@ww.action id="metaPropValidValue" namespace="/meta" name="metaProperties">
	<@ww.param name="type">${prop.type}</@ww.param>
	</@ww.action>
	<@ww.set name="metaTypeObject" value="#metaPropValidValue.metaType" scope="request"/>
	<#assign propRequired=prop.required?string/>
	<#assign propDisplayKey=prop.displayKey/>
	<#if prop.type = 'mta:date'>
	  <@ww.datepicker label="%{getText('${prop.displayKey}')}" name="${parameters.container}.propertyHolder.property['${mapPropertyKey}']" value="%{${parameters.container}.propertyHolder.propertyproperty['${mapPropertyKey}']}" id="${parameters.container}.propertyHolder.property.${mapPropertyKey}" required="${propRequired}"/>
	<#elseif metaTypeObject.validValues?exists>
	  <@ww.select label="%{getText('${prop.displayKey}')}" list="#metaPropValidValue.metaType.validValues" name="${parameters.container}.propertyHolder.property['${mapPropertyKey}']" value="%{${parameters.container}.propertyHolder.property['${mapPropertyKey}']}"
		listKey="value" listValue="display" listEnabled="enabled" emptyOption="true" theme="convelo" required="${propRequired}"/>
	<#elseif prop.type = 'mta:boolean'>
	  <@ww.checkbox label="%{getText('${prop.displayKey}')}" name="${parameters.container}.propertyHolder.property['${mapPropertyKey}']" value="%{${parameters.container}.propertyHolder.property['${mapPropertyKey}']}"/>
	<#elseif prop.type = 'mta:longstring'>
	  <@ww.textarea theme="xhtml" rows="4" cols="50" label="%{getText('${prop.displayKey}')}" name="${parameters.container}.propertyHolder.property['${mapPropertyKey}']" value="%{${parameters.container}.propertyHolder.property['${mapPropertyKey}']}" required="${propRequired}"/>
	<#else>
	  <@ww.textfield label="%{getText('${prop.displayKey}')}" name="${parameters.container}.propertyHolder.property['${mapPropertyKey}']" value="%{${parameters.container}.propertyHolder.property['${mapPropertyKey}']}" required="${propRequired}"/>
	</#if>
</#list>
</#if>
</#if>
</div>
</#if>
