<%
    response.setHeader("Pragma", "no-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires", 0);
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 with a permitted attribution clause (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.rapidtransform.com/legal/license.txt
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Convelo Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005,2006 Rapid Transform, Inc. 
 * All Rights Reserved.
 */%>
        
<%@ include file="/common/taglibs.jsp"%>
<%@ include file="/common/ajax.jsp"%>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <title><decorator:title default="Convelo"/></title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
    <c:set var="ctx" value="${pageContext.request.contextPath}" scope="request"/>
	<link rel="stylesheet" type="text/css" href="${ctx}/common/styles/global.css"/>
	<link rel="stylesheet" type="text/css" href="${ctx}/common/styles/tabs.css"/>
	<link rel="stylesheet" type="text/css" href="<ww:url value="/webwork/niftycorners/niftyCorners.css"/>">
	<link rel="stylesheet" type="text/css" href="<ww:url value="/webwork/niftycorners/niftyPrint.css"/>" media="print">
    
    <decorator:head/>
</head>

<body onload="initializeAccordionMenu();">
<ww:head theme="ajax"/>
<script type="text/javascript">
/* <![CDATA[ */
	function initializeAccordionMenu() {
		new Rico.Accordion( $('actionmenu') , {hoverBg:'#FF9933', collapsedBg:'#999999', expandedBg:'#3399FF', borderColor:'#ccd2d2', hoverTextColor:'#FFFFFF', collapsedTextColor: '#FFFFFF'} );
	}

/* ]]> */
</script>

<script type="text/javascript" src="<ww:url value="/webwork/niftycorners/nifty.js"/>"></script>
<script type="text/javascript">
var NiftyObject = {
    initializeNiftyTabs: function(){ 
        if (!NiftyCheck())
			return;
		Rounded("li.tab_selected", "top", "white", "transparent", "border #ffffffS");
		Rounded("li.tab_unselected", "top", "white", "transparent", "border #ffffffS");
    }
};

</script>

<ww:set name="modulePath" value="#session.convelo_activeModule.contextRelativePath" scope="request"/>
<div id="masthead">
    <div id="mastlogo">Con<font color="#FF9933">v</font>elo</div>
	<div id="utility"> <a href="${ctx}/common/logout.jsp">Logout</a> | <a href="${ctx}/common/help.jsp">Help</a></div>
</div>
<div id="module_nav">
	<a href="${ctx}/switchModule.action?moduleName=home"><img src="${ctx}${currentModulePath}/modules/home/images/module_button.gif" alt="Home"/></a><br />
	<a href="${ctx}/switchModule.action?moduleName=innovate"><img src="${ctx}/modules/innovate/images/module_button.gif" alt="Innovate!"/></a><br />
	<a href="${ctx}/switchModule.action?moduleName=design"><img src="${ctx}/modules/design/images/module_button.gif" alt="Design"/></a><br />
	<a href="${ctx}/switchModule.action?moduleName=admin"><img src="${ctx}/modules/admin/images/module_button.gif" alt="Administration"/></a>
</div>
<div id="module_content">
	<table>
	<tr>
	<td style="width: 180px; align:left">
	<div id="actionmenu">
		<ww:component theme="convelo" template="actionmenu.ftl"/>
	</div>
	</td>
  	<td style="padding: 0px; margin: 0px; align:left">
	<div id="object_content" >
		<decorator:body />
	</div>
	</td>
	</tr>
	</table>
</div>
<div id="footer"> 
		<div id="poweredby">Powered By <a href="http://www.convelo.org">Convelo Open Source PLM</a></div>
		&copy; 2005-2006 <a href="http://www.rapidtransform.com">Rapid Transform, Inc.</a> All Rights Reserved.
</div>

</body>
</html>