<?xml version="1.0" encoding="ISO-8859-1"?>
<%/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 with a permitted attribution clause (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.rapidtransform.com/legal/license.txt
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Convelo Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2006 Rapid Transform, Inc. 
 * All Rights Reserved.
 */%>
<%@ include file="/common/taglibs.jsp"%>
<%@ include file="/common/ajax.jsp"%>
<ww:head theme="ajax"/>
<script type="text/javascript">
/* <![CDATA[ */
	function initializeAccordionMenu() {
		new Rico.Accordion( $('actionmenu') , {hoverBg:'#CCCCCC', collapsedBg:'#D5630D', expandedBg:'#3366CC', borderColor:'#ccd2d2', hoverTextColor:'#FFFFFF', collapsedTextColor: '#FFFFFF'} );
	}

/* ]]> */
</script>
<c:set var="ctx" value="${pageContext.request.contextPath}" scope="request"/>
<body onload="initializeAccordionMenu">
<div id="actionmenu">
	<ww:iterator value="#session.convelo_activeModule.actionMenuItems" >
	<div id="panel">
		<div id="actionmenu_header"><h4><ww:property value="header"/></h4></div>
		<div id="actionmenu_content">
			<ww:iterator value="actions" >
				<ww:if test="%{ajax}">
					<ww:url id="menuLink" value="%{action}" />
					<ww:set name="menuTopics" value="%{topics}"/>
					<ww:a id="ajaxlink"	theme="ajax" href="%{menuLink}" notifyTopics="%{menuTopics}"
        				showErrorTransportText="true" errorText="An Error Occurred"><ww:property value="display"/></ww:a><br/>
				</ww:if>
				<ww:else>
					<a href="${ctx}<ww:property value='action'/>"><ww:property value="display"/></a>
				</ww:else>
			</ww:iterator>
		</div>
	</div>
	</ww:iterator>
</div>
</body>