package com.rapidtransform.admin.type;

/**
 * @author Steve
 *
 */
public enum LifecycleState {
	NEW ("New"),
	DESIGN ("Design"),
	DEVELOPMENT ("Development"),
	PRELIMINARY ("Preliminary"),
	PROTOTYPE ("Prototype"),
	PILOT ("Pilot"),
	CONDITIONAL ("Conditional"),
	TEST ("Test"),
	PRODUCTION ("Production"),
	PENDING ("Pending"),
	INACTIVE ("Inactive"),
	UNQUALIFIED ("Unqualified"),
	DISQUALIFIED ("Disqualified"),
	OBSOLETE ("Obsolete"),
	PHASEOUT ("Phase Out"),
	DROPPED ("Dropped");
	
	private String displayName;
	
	LifecycleState(String display) {
		displayName = display;
	}
		
	public String toString() {
		return this.displayName;
	}
}
