/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.classification.model;

/**
 * This enumeration represents possible types for classified objects.
 * 
 * TODO is type the proper term?
 * 
 * @author S. Werner
 *
 */
public enum ClassificationType {
	APPLICATION_CONTROL,
	ASSEMBLY,
	COLLECTION,
	COMPLETELY_KNOCKED_DOWN,
	DETAIL,
	IN_PROCESS,
	PART,
	PROTOTYPE,
	RAW_MATERIAL,
	REGULATED,
	SAFETY,
	SERVICE,
	TOOL;
}
