/**
 * 
 */
package com.rapidtransform.doc.service;

import java.util.Collection;

import com.rapidtransform.core.ConveloException;
import com.rapidtransform.core.model.Model;
import com.rapidtransform.core.model.Relation;
import com.rapidtransform.doc.model.Document;
import com.rapidtransform.doc.model.Documented;

/**
 * @author Steve Werner
 *
 */
public interface DocumentedService<DocumentedType extends Model> {
	
	public Relation<DocumentedType, Document> addDocument(Documented source, Document target, String relationType) throws ConveloException;
	
	public Collection<Document> getDocuments(String relationQname, String documentedId) throws ConveloException;
	
}
