/**
 * The contents of this file are subject to the Rapid Transform Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.rapidtransform.com/license.html
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.part.dao.hibernate;

import com.rapidtransform.core.dao.hibernate.GenericDAOHibernate;
import com.rapidtransform.part.dao.ItemViewDAO;
import com.rapidtransform.part.model.ItemView;

/**
 * @author S. Werner
 *
 */
public class ItemViewDAOHibernate extends GenericDAOHibernate<ItemView, Long> implements
		ItemViewDAO {

	public ItemViewDAOHibernate() {
		super(ItemView.class);
	}

}
