/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.part.model;

import com.rapidtransform.core.model.AbstractBaseModel;

/**
 * Relates on ItemClassification with a child classification.
 * 
 * TODO remove this class as it is not needed.  the parent will hold all references to it's children.  in the database, the children will have references to their parent.
 * 
 * 
 * @author S. Werner
 *
 */
public class ItemClassificationHierarchy extends AbstractBaseModel {
	private ItemClassification subClassification;

	/**
	 * @return Returns the subClassification.
	 */
	public ItemClassification getSubClassification() {
		return subClassification;
	}

	/**
	 * @param subClassification The subClassification to set.
	 */
	public void setSubClassification(ItemClassification subClassification) {
		this.subClassification = subClassification;
	}
	
}
