/**
 * The contents of this file are subject to the Rapid Transform Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.rapidtransform.com/license.html
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2006 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.product.service;

import java.util.List;

import com.rapidtransform.core.ConveloException;
import com.rapidtransform.core.model.namespace.QName;
import com.rapidtransform.core.service.MetaCRUDService;
import com.rapidtransform.doc.service.DocumentedService;
import com.rapidtransform.product.model.Product;
import com.rapidtransform.spec.model.Specification;
import com.rapidtransform.spec.service.SpecifiedService;

/**
 * @author S. Werner
 *
 */
public interface ProductService extends MetaCRUDService<Product>, SpecifiedService<Product>, DocumentedService<Product> {


}
