<style type="text/css">
.tab_header {
	position: relative;
	width: 70%;
	height: 2em;
}

.tab_header_main {
    list-style-type: none;
	margin: 0;
	padding: 0;
	position: absolute;
	bottom: -1px;
}

.tab_header_main a {
    display:block;
    text-decoration:none;
    padding:0;
    color: #000000;
}

.tab_selected, .tab_unselected, .tab_unselected_over {
	width: 10em;
	display: block;
	float: left;
	padding: 4px 0;
	list-style: none;
	margin: 1px 2px 0 0;
	text-align: center;
	font-family: Lucida,sans-serif;
	font-size: 75%;
	text-decoration: none;
	border: 1px solid #EEE;
}

.tab_selected a  {
	color: #FFFFFF;
}


.tab_selected {
	border: 1px solid #EEE;
	border-bottom: none;
	background: #3399FF;
	padding-bottom: 6px;
	margin-top: 0;
	font-weight:bold;
}

.tab_unselected, .tab_unselected_over {
	border-bottom: none;
	font-weight:normal;
	background: #FFFFFF;
}

.tab_unselected_over {
	margin-top: 0;
	padding-bottom: 5px;
	font-weight:bold;
}

.tab_contents_header {
	display: block;
	clear: both;
	padding: 0px;
	background: #FFFFFF;
}

.tab_contents {
	padding: 0em;
	padding-top: 25px;
	display: block;
	background: #FFFFFF;
	min-height: 0px;
	border: 1px solid #EEE;
}

.tab_contents_hidden  {
	display: none;
}

</style>
<@ww.action id="metaSearchTypesAction" namespace="/meta" name="metaSearchTypes"/>
<@ww.set name="searchTypes" value="#metaSearchTypesAction.searchableTypes" scope="request"/>
<#if (searchTypes?size > 0)>
<@ww.tabbedPanel id="search_tabs" theme="xhtml">
<#list searchTypes as searchType>
<@ww.panel id="${searchType.name.prefix}_${searchType.name.localName}_tab" tabName="${searchType.display}" theme="xhtml">
		<@ww.form action="/naturalLangSearch.action" method="POST" theme="xhtml">
		<@ww.hidden name="type" value="${searchType.name}"/>
		<@ww.url id="advancedLink" value="/advancedSearch.action?type=${searchType.name}"/>
		<center><input type="text" name="query" size="60" align="center"/>&nbsp;<@ww.a theme="simple" 
		href="%{advancedLink}" >Advanced</@ww.a>  </center>
		<@ww.submit value="Search" align="center"/>
		</@ww.form>
</@ww.panel>
</#list>
</@ww.tabbedPanel>
</#if>
